### Hierarchy

- Service
  - HackerNews

## Index

### Methods

- getBaseUrls
- getProofIdentity
- getProofStatement
- getProofUrl
- normalizeUrl
- prefixScheme
- shouldValidateIdentityInBody
- validateProof

## Methods

### getBaseUrls

- getBaseUrls(): string[]

- Overrides Service.getBaseUrls

  - Defined in profiles/services/hackerNews.ts:5

  #### Returns string[]

### getProofIdentity

- getProofIdentity(searchText: string): string

- Overrides Service.getProofIdentity

  - Defined in profiles/services/hackerNews.ts:61

  #### Parameters

  - ##### searchText: string

  #### Returns string

### getProofStatement

- getProofStatement(searchText: string, cheerio: CheerioModuleType): string

- Overrides Service.getProofStatement

  - Defined in profiles/services/hackerNews.ts:31

  #### Parameters

  - ##### searchText: string

  - ##### cheerio: CheerioModuleType

  #### Returns string

### getProofUrl

- getProofUrl(proof: AccountProofInfo): string

- Overrides Service.getProofUrl

  - Defined in profiles/services/hackerNews.ts:14

  #### Parameters

  - ##### proof: AccountProofInfo

  #### Returns string

### normalizeUrl

- normalizeUrl(_proof: AccountProofInfo): string

- Overrides Service.normalizeUrl

  - Defined in profiles/services/hackerNews.ts:27

  #### Parameters

  - ##### _proof: AccountProofInfo

  #### Returns string

### prefixScheme

- prefixScheme(proofUrl: string): string

- Inherited from Service.prefixScheme

  - Defined in profiles/services/service.ts:45

  #### Parameters

  - ##### proofUrl: string

  #### Returns string

### shouldValidateIdentityInBody

- shouldValidateIdentityInBody(): boolean

- Inherited from Service.shouldValidateIdentityInBody

  - Defined in profiles/services/service.ts:41

  #### Returns boolean

### validateProof

- validateProof(proof: AccountProofInfo, ownerAddress: string, cheerio: CheerioModuleType, name?: string): Promise<AccountProofInfo>

- Inherited from Service.validateProof

  - Defined in profiles/services/service.ts:11

  #### Parameters

  - ##### proof: AccountProofInfo

  - ##### ownerAddress: string

  - ##### cheerio: CheerioModuleType

  - ##### Default value name: string = null

  #### Returns Promise<AccountProofInfo>

Generated using TypeDoc